Perl configuration in fedoro core 8

Alles, was Perl betrifft, kann hier besprochen werden.

Perl configuration in fedoro core 8

Postby rajunnp » 01. December 2008 14:04

Hi,
I have installed perl..
If I instal the perl modules in my system.In that time it will says " Can't locate CPAN.pm in @INC..
How to solve this problem..

How to enable that CPAN.pm file..

Wat about apxs ....?Wher it is..?

Thanks..
Raju
rajunnp
 
Posts: 4
Joined: 01. December 2008 13:58

Postby Wiedmann » 01. December 2008 15:20

Perl configuration in fedoro core 8

XAMPP for Linux on fedoro core 8?

If I instal the perl modules in my system.I

How exactly did you try this?
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

perl installation in fedoro 8

Postby rajunnp » 02. December 2008 06:11

Hai,
I have installed bugzilla 3.0.6, Postgresql and perl 5.8.8

If i check the perl using the perl -v command.It will shows
..........................................................................................................................
This is perl, v5.8.8 built for i386-linux-thread-multi

Copyright 1987-2006, Larry Wall

Perl may be copied only under the terms of either the Artistic License or the
GNU General Public License, which may be found in the Perl 5 source kit.

Complete documentation for Perl, including FAQ lists, should be found on
this system using "man perl" or "perldoc perl". If you have access to the
Internet, point your browser at http://www.perl.org/, the Perl Home Page.
............................................................................................................................


If i execute the command like ./checksetup.pl .Then it will shows the follwing lines..

.........................................................................................................................................
* This is Bugzilla 3.0.6 on perl 5.8.8
* Running on Linux 2.6.23.1-42.fc8 #1 SMP Tue Oct 30 13:55:12 EDT 2007

Checking perl modules...
Checking for CGI.pm (v2.93) ok: found v3.15
Checking for TimeDate (v2.21) not found
Checking for DBI (v1.41) ok: found v1.58
Checking for PathTools (v0.84) ok: found v3.12
Checking for Template-Toolkit (v2.12) not found
Checking for Email-Send (v2.00) not found
Checking for Email-MIME (v1.861) not found
Checking for Email-MIME-Modifier (v1.442) not found

Checking available perl DBD modules...
Checking for DBD-Pg (v1.45) ok: found v1.49
Checking for DBD-mysql (v2.9003) ok: found v4.005

The following Perl modules are optional:
Checking for GD (v1.20) not found
Checking for Template-GD (any) not found
Checking for Chart (v1.0) not found
Checking for GDGraph (any) not found
Checking for GDTextUtil (any) not found
Checking for XML-Twig (any) not found
Checking for MIME-tools (v5.406) not found
Checking for libwww-perl (any) ok: found v2.036
Checking for PatchReader (v0.9.4) not found
Checking for PerlMagick (any) not found
Checking for perl-ldap (any) not found
Checking for SOAP-Lite (any) not found
Checking for HTML-Parser (v3.40) ok: found v3.56
Checking for HTML-Scrubber (any) not found
Checking for Email-MIME-Attachment-Stripper (any) not found
Checking for Email-Reply (any) not found
Checking for mod_perl (v1.999022) ok: found v2.000003
Checking for CGI.pm (v3.11) ok: found v3.15

* NOTE: You must run any commands listed below as root.

***********************************************************************
* REQUIRED MODULES *
***********************************************************************
* Bugzilla requires you to install some Perl modules which are either *
* missing from your system, or the version on your system is too old. *
* *
* The latest versions of each module can be installed by running the *
* commands below. *
***********************************************************************
COMMANDS:

/usr/bin/perl -MCPAN -e 'install "Email::Send"'
/usr/bin/perl -MCPAN -e 'install "Email::MIME"'
/usr/bin/perl -MCPAN -e 'install "Template"'
/usr/bin/perl -MCPAN -e 'install "Email::MIME::Modifier"'
/usr/bin/perl -MCPAN -e 'install "Date::Format"'

**********************************************************************
* OPTIONAL MODULES *
**********************************************************************
* Certain Perl modules are not required by Bugzilla, but by *
* installing the latest version you gain access to additional *
* features. *
* *
* The optional modules you do not have installed are listed below, *
* with the name of the feature they enable. If you want to install *
* one of these modules, just run the appropriate command in the *
* "COMMANDS TO INSTALL" section. *
**********************************************************************

***********************************************************************
* MODULE NAME * ENABLES FEATURE(S) *
***********************************************************************
* GDGraph * Graphical Reports *
* GDTextUtil * Graphical Reports *
* Template-GD * Graphical Reports *
* GD * Graphical Reports, New Charts, Old Charts *
* Email-MIME-Attachment-Stripper * Inbound Email *
* Email-Reply * Inbound Email *
* perl-ldap * LDAP Authentication *
* HTML-Scrubber * More HTML in Product/Group Descriptions *
* MIME-tools * Move Bugs Between Installations *
* XML-Twig * Move Bugs Between Installations *
* Chart * New Charts, Old Charts *
* PerlMagick * Optionally Convert BMP Attachments to PNGs *
* PatchReader * Patch Viewer *
* SOAP-Lite * XML-RPC Interface *
***********************************************************************
COMMANDS TO INSTALL:

GDGraph: /usr/bin/perl -MCPAN -e 'install "GD::Graph"'
GDTextUtil: /usr/bin/perl -MCPAN -e 'install "GD::Text"'
Template-GD: /usr/bin/perl -MCPAN -e 'install "Template::Plugin::GD::Image"'
GD: /usr/bin/perl -MCPAN -e 'install "GD"'
Email-MIME-Attachment-Stripper: /usr/bin/perl -MCPAN -e 'install "Email::MIME::Attachment::Stripper"'
Email-Reply: /usr/bin/perl -MCPAN -e 'install "Email::Reply"'
perl-ldap: /usr/bin/perl -MCPAN -e 'install "Net::LDAP"'
HTML-Scrubber: /usr/bin/perl -MCPAN -e 'install "HTML::Scrubber"'
MIME-tools: /usr/bin/perl -MCPAN -e 'install "MIME::Parser"'
XML-Twig: /usr/bin/perl -MCPAN -e 'install "XML::Twig"'
Chart: /usr/bin/perl -MCPAN -e 'install "Chart::Base"'
PerlMagick: /usr/bin/perl -MCPAN -e 'install "Image::Magick"'
PatchReader: /usr/bin/perl -MCPAN -e 'install "PatchReader"'
SOAP-Lite: /usr/bin/perl -MCPAN -e 'install "SOAP::Lite"'
...........................................................................................................................................



If i install the above MENTIONED commands like GDGraph: /usr/bin/perl -MCPAN -e 'install "GD::Graph"' . it will says the

.......................................................................................................................................
Can't locate CPAN.pm in @INC (@INC contains: /usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7 /usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8 .).
BEGIN failed--compilation aborted.
..........................................................................................................................................

hOW TO SOLVE THIS PROBLEM.?...
how to enable the CPAN.pm.?

Thanks,
raju










































[/b]
rajunnp
 
Posts: 4
Joined: 01. December 2008 13:58

Postby Wiedmann » 02. December 2008 07:38

Wiedmann wrote:XAMPP for Linux on fedoro core 8?

:?:
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

perl installation in fedoro 8

Postby rajunnp » 02. December 2008 11:28

hai,
I don't know abt XAMPP...But i have downloaded and installed.But i am not able to start XAMPP (lampp)..

Commands to start: opt/lampp/lampp start
But it will shows the error message like..
command not found..

What should i do?
how to start the lamp..?

How to install perl modules?..

Thanks raju
rajunnp
 
Posts: 4
Joined: 01. December 2008 13:58

Postby Wiedmann » 02. December 2008 11:33

Commands to start: opt/lampp/lampp start
What should i do?

Use the correct command:
/opt/lampp/lampp start


BTW:
But i have downloaded and installed

That was only a question if you have XAMPP or not. Because this is the XAMPP support forum. (But you don't need XAMPP if you have allready a webserver)
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany


Return to Perl

Who is online

Users browsing this forum: No registered users and 2 guests